#!/bin/sh -e

case "$1" in
#at4x0a)
#	PLATFORM="at4x0a"
#	CROSS_BUILD="i686-pc-linux-gnu"
#	CROSS_TARGET="arm-${PLATFORM}-linux-gnueabi"
#	CROSS_OPT="-O2"
#	CROSS_CPU="arm926ej-s"
#	;;
#""|s3c24xx)
#	PLATFORM="s3c24xx"
#	CROSS_BUILD="i686-linux"
#	CROSS_TARGET="arm-linux"
#	CROSS_OPT="-O2"
#	CROSS_CPU="arm920"
#	;;
s3c64xx)
	PLATFORM="s3c64xx"
	CROSS_BUILD="i686-pc-linux-gnu"
	CROSS_TARGET="arm-none-linux-gnueabi"
	CROSS_OPT="-O2"
	CROSS_CPU="arm1176jzf-s"
	;;
bcm4760)
	PLATFORM="bcm4760"
	CROSS_BUILD="i686-pc-linux-gnu"
	CROSS_TARGET="arm-none-linux-gnueabi"
	CROSS_OPT="-O2"
	CROSS_CPU="arm1136jf-s"
	;;
titan2)
	PLATFORM="titan2"
	CROSS_BUILD="i686-pc-linux-gnu"
	#CROSS_TARGET="arm-${PLATFORM}-linux-gnueabi"
	#Compile with Sirf Code Sourcery Toolchain
	CROSS_TARGET="arm-none-linux-gnueabi"
	CROSS_OPT="-O2"
	CROSS_CPU="arm1136jf-s"
	;;
#omap2)
#	PLATFORM="omap2"
#	CROSS_BUILD="i686-pc-linux-gnu"
#	CROSS_TARGET="arm-${PLATFORM}-linux-gnueabi"
#	CROSS_OPT="-O2"
#	CROSS_CPU="arm1136jf-s"
#	;;
*)
	echo "$0: ERROR: Unknown platform \"$1\"."
	exit 1
	;;
esac

PROGNAME="udev"
SRCDIR="${PWD}"

INSDIR="${PWD}/ins-${PLATFORM}"

export CFLAGS="${CROSS_OPT} -mcpu=${CROSS_CPU} -ffunction-sections -fdata-sections"
export LDFLAGS="-Wl,--gc-sections"
export CROSS_COMPILE="${CROSS_TARGET}-"

echo "**** Building ${PROGNAME} for ${PLATFORM}..."
make

echo "**** Installing ${PROGNAME} for ${PLATFORM}..."
make DESTDIR="${INSDIR}" install

echo "**** Successfully built & installed ${PROGNAME} for ${PLATFORM}:"
ls -la "${INSDIR}"

# EOF
